Name:           merkaartor
Version:        0.18.2
Release:        1%{?dist}
Summary:        Qt-Based OpenStreetMap editor

Group:          Applications/Productivity
License:        GPLv2
URL:            http://www.merkaartor.be
Source0:        %{name}-%{version}.tar.gz

Patch0: merkaartor-0.18.2-qt5.patch
Patch1:merkaartor-0.18.2-gdal2.patch

Requires:       hicolor-icon-theme

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  desktop-file-utils
BuildRequires:  exiv2-devel
BuildRequires:  gdal-devel
BuildRequires:  zlib-devel
BuildRequires:  qtsingleapplication-devel
BuildRequires:  proj-devel
BuildRequires:  sqlite-devel

%description
Merkaartor is a small editor for OpenStreetMap available under the
GNU General Public License and developed  using the Qt toolkit.

It has some unique features like anti-aliased displaying,
transparent display of map features like roads and curved roads.

%prep
%setup -q -n %{name}-%{version}

# fixed upstream: https://github.com/openstreetmap/merkaartor/commit/e6d015a953a163f174e09a9b50c9bb8bc19593e4
%patch0 -p0 -b .qt5_build_fix
# taken from upstream: https://github.com/openstreetmap/merkaartor/commit/b333cd33e487f79ae8cd0c2eea145baf650e793d
%patch1 -p1 -b .gdal2_fix

%build
# Use packaged qtsingleappicaton instead of bundled version
rm -rf 3rdparty/qtsingleapplication-2.6_1-opensource
sed -i "s|../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.pri|%{_libdir}/qt5/mkspecs/features/qtsingleapplication.prf|" src/src.pro
lrelease-qt5 src/src.pro
qmake-qt5 Merkaartor.pro PREFIX=%{_prefix} LIBDIR=%{_libdir} RELEASE=1 VERSION=0.18 REVISION=.2 NODEBUG=1 GEOIMAGE=1 GPSD=1 GDAL=1 ZBAR=0
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=${RPM_BUILD_ROOT} install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/background
%{_libdir}/%{name}/plugins/background/*.so
#%dir %{_libdir}/%{name}/plugins/styles
#%{_libdir}/%{name}/plugins/styles/*.so
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%doc AUTHORS CHANGELOG HACKING LICENSE

%changelog
* Mon Jul 27 2015 Sven Lankes <sven@lank.es> - 0.18.2-1
- new upstream release
- now built against QT5
- zbar support disabled (zbar is only qt4 for now)
- upstream patch for gdal2.0

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 0.18.1-14
- rebuild (exiv2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.18.1-12
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 19 2015 Sven lankes <sven@lank.es> - 0.18.1-11
- rebuild (libproj)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Dec 04 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.18.1-8
- fix the ARM fix (#992224) to also do the right thing at runtime

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.18.1-7
- fix FTBFS on arm (#992224)

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.18.1-6
- rebuild (exiv2)

* Tue Aug 27 2013 Orion Poplawski <orion@cora.nwra.com> - 0.18.1-5
- Rebuild for gdal 1.10.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Sven lankes <sven@lank.es> - 0.18.1-1
- new upstream release
- remove upstreamed desktop-file patch

* Tue Jun 05 2012 Sven Lankes <sven@lank.es> - 0.18.0-4
- require hicolor-icon theme (fixes rhbz #768620 - again)

* Mon Jun 04 2012 Sven Lankes <sven@lank.es> - 0.18.0-3
- update icon cache (rhbz #768620)
- Add Education to Desktop category to make desktop-file-validate happy (rhbz  #768616)

* Thu May 31 2012 Sven Lankes <sven@lank.es> - 0.18.0-2
- new upstream release

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.18.0-0.4.git654e49ba
- rebuild (exiv2)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-0.3.git654e49ba
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.18.0-0.2.git654e49ba
- rebuild (exiv2)

* Sun Feb 20 2011 Sven Lankes <sven@lank.es> - 0.18.0-0.1.git654e49ba
- git snapshot
- no longer depend on boost (fixes FTBFS)

* Sat Feb 12 2011 Sven Lankes <sven@lank.es> - 0.17.2-1
- new upstream bugfix release
- Fixes rhbz #673667 and #674944

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Sven Lankes <sven@lank.es> - 0.17.0-2
- fix source url and versioning

* Tue Dec 28 2010 Sven Lankes <sven@lank.es> - 0.17-1
- new upstream release

* Sun Dec 19 2010 Sven Lankes <sven@lank.es> - 0.17-0.3.rc5
- new upstream prerelease

* Mon Dec 13 2010 Sven Lankes <sven@lank.es> - 0.17-0.2.rc4
- fix build on i686

* Sun Dec 12 2010 Sven Lankes <sven@lank.es> - 0.17-0.1.rc4
- new upstream pre-release
- don't use bundled qtsingleapplication

* Sun Dec 05 2010 Sven Lankes <sven@lank.es> - 0.17-0.1.rc3
- new upstream pre-release
- now includes a plugin for bing maps

* Sun Aug 29 2010 Sven Lankes <sven@lank.es> - 0.16.3-1
- new upstream release
- fixes broken translations

* Sun Aug 15 2010 Sven Lankes <sven@lank.es> - 0.16.2-1
- new upstream release
- add zbar dependency to enable zbar support

* Fri Jul 09 2010 Sven Lankes <sven@lank.es> - 0.16.1-2
- bump to fix broken dep and ftbfs (fixes #599993)

* Tue Jun 15 2010 Sven Lankes <sven@lank.es> - 0.16.1-1
- new upstream release

* Sun Jun 06 2010 Sven Lankes <sven@lank.es> - 0.16.0-1
- new upstream release

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.15-0.3.svn20001 
- rebuild (exiv2)
- BR: qt4-webkit-devel

* Sun Feb 14 2010 Sven Lankes <sven@lank.es> - 0.15-0.2.svn20001
- remove upstreamed src.pro-patch

* Sun Feb 14 2010 Sven Lankes <sven@lank.es> - 0.15-0.1.svn20001
- new svn-prerelease
- build against system boost instead of shipped copy
 
* Sat Feb 13 2010 Sven Lankes <sven@lank.es> - 0.15-0.1.svn19986
- svn-prerelease
- fix DSO induced FTBFS

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.14-3 
- rebuild (exiv2)

* Thu Dec 10 2009 Sven Lankes <sven@lank.es> - 0.14-2
- Write log to /dev/null unless specified (bz# 544284)

* Wed Aug 12 2009 Sven Lankes <sven@lank.es> - 0.14-1
- 0.14
- Remove patch for gdal/qtgtkstyle-related crash - seems to be fixed in gdal

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-0.2.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 05 2009 Sven Lankes <sven@lank.es> - 0.14-0.1-pre2
- 0.14-pre2

* Thu Jul 02 2009 Sven Lankes <sven@lank.es> - 0.14-0.1-pre1
- 0.14-pre1

* Tue Apr 28 2009 Sven Lankes <sven@lank.es> - 0.13.2-2
- disable use of qgtkstyle until gdal conflict (bz# 498111) is solved

* Sun Apr 26 2009 Sven Lankes <sven@lank.es> - 0.13.2-1
- new upstream release

* Sat Apr 04 2009 Sven Lankes <sven@lank.es> - 0.13.1-1
- new upstream release

* Wed Oct 15 2008 Sven Lankes <sven@lank.es> - 0.12-2
- remove additional source merkaartor.xpm - now included
- minor update of .desktop-file

* Mon Oct 13 2008 Sven Lankes <sven@lank.es> - 0.12-1
- new upstream release
- enable geotagging support (requires exiv2)
- remove -fixes patch

* Wed Sep 10 2008 Sven Lankes <sven@lank.es> - 0.11-3
- add patch from -fixes branch (fixes upload error)

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.11-2
- include unowned directories

* Wed Aug 06 2008 Sven Lankes <sven@lank.es> - 0.11-1
- final 0.11 release 
- Updated versioning scheme - 0.x 

* Mon Jul 28 2008 slankes <sven@lank.es> - 0.0.11-0.1.rc1
- update to release candidate

* Thu Jul 24 2008 slankes <sven@lank.es> - 0.0.10-7
- fix executable source-files

* Wed Jun 25 2008 slankes <sven@lank.es> - 0.0.10-6
- remove superfluous make install from specfile
- tune requires/buildrequires

* Sat Jun 14 2008 slankes <sven@lank.es> - 0.0.10-5
- Remove unneeded buildrequires
- SPEC-Cleanup

* Sun May 18 2008 slankes <sven@lank.es> - 0.0.10-4
- Build in release mode instead of debug. This (among other things) makes merkaartor honour the rpm optflags) 

* Thu May  8 2008 slankes <sven@lank.es> - 0.0.10-3
- Preserve timestamps 

* Sun May  4 2008 slankes <sven@lank.es> - 0.0.10-2
- First package version

